Bug 1434740 - OvmfPkg/PciHotPlugInitDxe: don't reserve IO space when IO support is disabled
Summary: OvmfPkg/PciHotPlugInitDxe: don't reserve IO space when IO support is disabled
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ovmf
Version: 7.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 7.4
Assignee: Laszlo Ersek
QA Contact: FuXiangChun
URL:
Whiteboard:
Keywords:
Depends On: 1344299 ovmf-rebase-rhel-7.5
Blocks: 1441550
TreeView+ depends on / blocked
 
Reported: 2017-03-22 09:46 UTC by Laszlo Ersek
Modified: 2018-04-10 16:30 UTC (History)
15 users (show)

(edit)
Clone Of: 1344299
(edit)
Last Closed: 2018-04-10 16:28:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0902 None None None 2018-04-10 16:30 UTC
Red Hat Bugzilla 1430994 None None None 2019-04-02 05:46 UTC
Red Hat Bugzilla 1434747 None CLOSED [Q35] code12 error when hotplug XL710 device in win2016 2019-04-02 05:46 UTC

Internal Trackers: 1430994 1434747

Description Laszlo Ersek 2017-03-22 09:46:22 UTC
+++ This bug was initially created as a clone of Bug #1344299 +++

OVMF currently reserves 512B of IO space (rounded up to 4KB) and 2MB of MMIO space for all kinds of PCI bridges, including legacy PCI bridges, PCI Express downstream ports, PCI Express upstream ports, and PCI Express root ports; for hotplug purposes. This reservation is only appropriate for legacy PCI bridges, however.

OVMF should be extended to recognize when the "IO base/limit registers" are zero, and reserve no IO space when that's the case.

Affected version: OVMF-20170228-1.gitc325e41585e3.el7.noarch.

Setting Severity and Priority to low/low, to match the same of clone-origin bug 1344299.

Comment 4 Laszlo Ersek 2017-09-25 20:00:21 UTC
posted upstream series:

[edk2] [PATCH 0/7] OvmfPkg/PciHotPlugInitDxe: obey PCI resource reservation
                   hints from QEMU
https://lists.01.org/pipermail/edk2-devel/2017-September/015296.html
Message-Id: <20170925195824.10866-1-lersek@redhat.com>

Comment 5 Laszlo Ersek 2017-10-03 14:15:57 UTC
(In reply to Laszlo Ersek from comment #4)
> posted upstream series:
> 
> [edk2] [PATCH 0/7] OvmfPkg/PciHotPlugInitDxe: obey PCI resource reservation
>                    hints from QEMU
> https://lists.01.org/pipermail/edk2-devel/2017-September/015296.html
> Message-Id: <20170925195824.10866-1-lersek@redhat.com>

1 8844f15d33c7 MdePkg/IndustryStandard/Pci23: add vendor-specific capability
               header
2 bdf73b57f283 OvmfPkg/IndustryStandard: define PCI Capabilities for QEMU's
               PCI Bridges
3 91231fc2ff2b OvmfPkg/PciHotPlugInitDxe: clean up protocol usage comment
4 c18ac9fbcc71 OvmfPkg/PciHotPlugInitDxe: clean up addr. range for
               non-prefetchable MMIO
5 a980324709b1 OvmfPkg/PciHotPlugInitDxe: generalize RESOURCE_PADDING
               composition
6 4776d5cb3abf OvmfPkg/PciHotPlugInitDxe: add helper functions for setting
               up paddings
7 fe4049471bdf OvmfPkg/PciHotPlugInitDxe: translate QEMU's resource
               reservation hints

Comment 6 Laszlo Ersek 2017-10-03 14:25:25 UTC
Note to virt-QE: please see <https://bugzilla.redhat.com/show_bug.cgi?id=1434747#c20>.

Comment 8 FuXiangChun 2017-12-05 10:44:13 UTC
According to comments https://bugzilla.redhat.com/show_bug.cgi?id=1344299#c27,

This bug is fixed.  will set the bug as verified.  If I am wrong, please correct me.

Comment 11 errata-xmlrpc 2018-04-10 16:28:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0902


Note You need to log in before you can comment on or make changes to this bug.